# scripts for building app
# requires go 1.19+ and git installed

VERSION := 0.5.0

serve:
	go run ./...

setup:
	go get

docker-dev:
	docker image build -t registry.bbr-dev.info/holiday-api/backend:$(VERSION)-dev .
	docker tag registry.bbr-dev.info/holiday-api/backend:$(VERSION)-dev registry.bbr-dev.info/holiday-api/backend:latest-dev
	docker image push registry.bbr-dev.info/holiday-api/backend:$(VERSION)-dev
	docker image push registry.bbr-dev.info/holiday-api/backend:latest-dev
	

docker-prod:
	docker image build -t registry.bbr-dev.info/holiday-api/backend:$(VERSION) .
	docker tag registry.bbr-dev.info/holiday-api/backend:$(VERSION) registry.bbr-dev.info/holiday-api/backend:latest
	docker image push registry.bbr-dev.info/holiday-api/backend:$(VERSION)
	docker image push registry.bbr-dev.info/holiday-api/backend:latest

release:
	git tag $(VERSION)
	git push origin $(VERSION)

test:
	go test ./...

clean:
	rm -rf holiday-api
